Bug 763135 - (GLUSTER-1403) only admin (uid 0) should be able to run 'gluster' command
only admin (uid 0) should be able to run 'gluster' command
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 08:50 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2010-08-19 08:50:25 EDT
glusterd should make sure the 'gluster' command is executed by privileged user.
Comment 1 Vijay Bellur 2010-08-30 03:24:00 EDT
PATCH: http://patches.gluster.com/patch/4375 in master (Only admin should be able to run gluster command)
Comment 2 Lakshmipathi G 2010-09-07 01:11:38 EDT
tested with 3.1.0qa16
---------
as normal user -
[lakshmi@domU-12-31-39-0E-8E-31 ~]$ /usr/local/sbin/gluster
gluster> volume info
No volumes present
gluster> peer status
gluster> quit


as root user -

[lakshmi@domU-12-31-39-0E-8E-31 ~]$ su -
Password: 
[root@domU-12-31-39-0E-8E-31 ~]# gluster
gluster> volume info
Volume Name: afr4
Type: Replicate
Status: Started
Number of Bricks: 4
Bricks:
Brick1: 10.192.141.187:/mnt/p1
Brick2: 10.192.134.144:/mnt/p1
Brick3: 10.214.231.112:/mnt/p1
Brick4: 10.198.110.16:/mnt/p1

Note You need to log in before you can comment on or make changes to this bug.